PROMT Translator Offline

Price: $9.99

Infomation

Category:
Travel
By:
PROMT Ltd
Version:
2.9.10
Released:
2019-01-29
Shared:
2019-01-30
Size:
347,24MB
Download:
107330
Compatibility:
8.0 or later

Description

Smart and easy-to-use assistant for study, work and travel in your iPhone!

► Work without internet
and don’t worry about Wi-Fi and traffic

► Translate with regard to context
Choose one of 17 translation profiles: Automobiles, Business, IT, Gadgets,
Social networks, Songs and Music, Science and other

► Communicate anywhere in the world
Download phrasebooks with convenient navigation on your iPhone or iPad

► Translate instantly in any application
Set up your “Today” widget and translate in any app on your smartphone

► Do not translate twice
Save the translations in your favorites list

► Keep your translation away from others!
Thanks to offline mode, the translations will never get into your browser search

English-Russian and Russian-English translators are already included in the price of the application.
German, French, Spanish, Portuguese, Italian are available through in-app purchases.

Still have questions? Contact us via [email protected] and we will make our product even better!


For more information visit our website: http://www.promt.com/mobile or consult FAQ http://www.promt.com/support/faq/

...More Download the app

Video/Screenshots

What's New

► Bug fixes

Thank you for your feedback to the previous version of our translator.
as always, you help us fix mistakes and make the app better. If you like our updates, please give us feedback at App Store. This is the best way to support our development.

...More
  • Download

  • Cracker/Uploader: telefonbuch
    Date: 2019-01-30 6:58 Version:2.9.10  For iOS 11 For iOS 10 
    Memo:
  • Cracker/Uploader: telefonbuch
    Date: 2019-01-30 6:58 Version:2.9.10  For iOS 11 For iOS 10 
    Memo:
  • All Version Links

Infomation

Category:
Travel
By:
PROMT Ltd
Version:
2.9.10
Released:
2019-01-29
Shared:
2019-01-30
Size:
347,24MB
Download:
107330
Compatibility:
8.0 or later